%define        oname kbluetooth4 
%define        svn   856004

Name:          kdebluetooth4
Summary:       Access and control bluetooth devices in KDE4
Version:       0.2
Epoch:         1
Release:       %mkrel 1
Source:        %{name}-%{version}.tar.bz2
URL:           http://bluetooth.kmobiletools.org/
License:       GPL
Group:         System/Configuration/Hardware
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildRequires: kdebase4-workspace-devel > 1:4.0.84-7mdv
BuildRequires: kdebase4-runtime
Provides:      bluez-pin
Requires:      bluez-utils 
Requires:      bluez-sdp

Obsoletes:     kbluetooth4 < 0.1-1

%description
The aim of this project is a tight and easy to use integration of Bluetooth
into the KDE4 desktop. You can manage your local Bluetooth devices and services
with it, browse your Bluetooth neighbourhood with konqueror and send and
receive files with just a few clicks. And that's not all you can do with it...

%files
%defattr(-,root,root)
%{_kde_bindir}/kbluetooth4
%{_kde_bindir}/kbluetooth4-inputwizard
%{_kde_bindir}/kbluetooth4-devicemanager
%{_kde_datadir}/applications/kde4/%name.desktop
%{_kde_iconsdir}/hicolor/*/apps/%oname.png

#--------------------------------------------------------------------------

%prep
%setup -q

%build

%cmake_kde4

%make

%install
rm -rf %buildroot

%makeinstall_std -C build

%clean
rm -rf %buildroot





%changelog
* Sun Sep 21 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.2-1mdv2009.0
+ Revision: 286265
- Update to 0.2

* Tue Sep 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.2-0.856004.1mdv2009.0
+ Revision: 278749
- New snapshot

  + Funda Wang <fundawang@mandriva.org>
    - fix url

* Sat Jul 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.1-1mdv2009.0
+ Revision: 238698
- Fix spec file
- Use official tarball
- Rename specfile and adapt to new name
- kbluetooth4 is now called kdeblutooth4

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.1-0.828134.3mdv2009.0
+ Revision: 232609
- Rebuild because of BS Failure
- Add bluez-pin as Provides
- Kbluetooth4 is now on playground

* Fri Jul 04 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.1-0.828134.1mdv2009.0
+ Revision: 231863
- New snapshot ( fixes crashes )

* Thu Jul 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.1-0.827332.1mdv2009.0
+ Revision: 231247
- Fix Version , this is 0.1  not 1.0

* Wed Jul 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.827332.1mdv2009.0
+ Revision: 230858
- Fix File list
- New snapshot
  Versionnate BR for next kdebase4-workspace-devel

* Sat Jun 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.825549.1mdv2009.0
+ Revision: 229845
- Fix file list
- New snapshot
- Change Requires / Provides ( do not provide bluez-pin  at least for the moment )
- Fix File list

* Mon Jun 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.821214.1mdv2009.0
+ Revision: 220569
- import kbluetooth4

